import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsTestTemplate } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2022-09-01 18:16
 */
interface DevopsTestTemplateCU extends ConditionUtil<DevopsTestTemplateCU> {
    ID: FieldUtil<DevopsTestTemplateCU>;
    TASK_NAME: FieldUtil<DevopsTestTemplateCU>;
    RUN_NUM: FieldUtil<DevopsTestTemplateCU>;
    RUN_MODE: FieldUtil<DevopsTestTemplateCU>;
    REPEAT_MODE: FieldUtil<DevopsTestTemplateCU>;
    PROJECT: FieldUtil<DevopsTestTemplateCU>;
    PROJECT_GROUP: FieldUtil<DevopsTestTemplateCU>;
    CREATE_USER_ID: FieldUtil<DevopsTestTemplateCU>;
    UPDATE_USER_ID: FieldUtil<DevopsTestTemplateCU>;
    CREATE_TIME: FieldUtil<DevopsTestTemplateCU>;
    UPDATE_TIME: FieldUtil<DevopsTestTemplateCU>;
    CASE_LIST: FieldUtil<DevopsTestTemplateCU>;
}
declare class DevopsTestTemplateMU extends TableUtilImpl<DevopsTestTemplateCU, DevopsTestTemplate> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsTestTemplateCU;
    static get ID(): FieldUtil<DevopsTestTemplateCU>;
    static get TASK_NAME(): FieldUtil<DevopsTestTemplateCU>;
    static get RUN_NUM(): FieldUtil<DevopsTestTemplateCU>;
    static get RUN_MODE(): FieldUtil<DevopsTestTemplateCU>;
    static get REPEAT_MODE(): FieldUtil<DevopsTestTemplateCU>;
    static get PROJECT(): FieldUtil<DevopsTestTemplateCU>;
    static get PROJECT_GROUP(): FieldUtil<DevopsTestTemplateCU>;
    static get CREATE_USER_ID(): FieldUtil<DevopsTestTemplateCU>;
    static get UPDATE_USER_ID(): FieldUtil<DevopsTestTemplateCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTestTemplateCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTestTemplateCU>;
    static get CASE_LIST(): FieldUtil<DevopsTestTemplateCU>;
    get ID(): FieldUtil<DevopsTestTemplateCU>;
    get TASK_NAME(): FieldUtil<DevopsTestTemplateCU>;
    get RUN_NUM(): FieldUtil<DevopsTestTemplateCU>;
    get RUN_MODE(): FieldUtil<DevopsTestTemplateCU>;
    get REPEAT_MODE(): FieldUtil<DevopsTestTemplateCU>;
    get PROJECT(): FieldUtil<DevopsTestTemplateCU>;
    get PROJECT_GROUP(): FieldUtil<DevopsTestTemplateCU>;
    get CREATE_USER_ID(): FieldUtil<DevopsTestTemplateCU>;
    get UPDATE_USER_ID(): FieldUtil<DevopsTestTemplateCU>;
    get CREATE_TIME(): FieldUtil<DevopsTestTemplateCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTestTemplateCU>;
    get CASE_LIST(): FieldUtil<DevopsTestTemplateCU>;
}
export { DevopsTestTemplateMU, DevopsTestTemplateCU };
